Name:		qubes-utils
Version:	4.0.30
Release:	1%{?dist}
Summary:	Common Linux files for Qubes Dom0 and VM
Source0:    %{name}-%{version}.tar.gz

Group:		Qubes
License:	GPL
URL:		http://www.qubes-os.org

Requires:	udev
Requires:	%{name}-libs
Requires:	ImageMagick
Requires:	python%{python3_pkgversion}-qubesimgconverter
%{?systemd_requires}
BuildRequires:  systemd
BuildRequires:  qubes-libvchan-devel
BuildRequires:  python2-setuptools
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python2-rpm-macros
BuildRequires:  python3-rpm-macros
# for meminfo-writer
BuildRequires:  xen-devel
BuildRequires:	gcc

%description
Common Linux files for Qubes Dom0 and VM

%package -n python2-qubesimgconverter
Summary:    Python package qubesimgconverter
Requires:   python2
Requires:   pycairo
%if 0%{?rhel} >= 7
Requires:   python-pillow
Requires:   numpy
%else
Requires:   python2-pillow
Requires:   python2-numpy
%endif

%description -n python2-qubesimgconverter
Python package qubesimgconverter

%package -n python%{python3_pkgversion}-qubesimgconverter
Summary:    Python package qubesimgconverter
Requires:   python%{python3_pkgversion}
Requires:   python%{python3_pkgversion}-cairo
Requires:   python%{python3_pkgversion}-pillow
Requires:   python%{python3_pkgversion}-numpy

%description -n python%{python3_pkgversion}-qubesimgconverter
Python package qubesimgconverter

%package devel
Summary:	Development headers for qubes-utils
Release:	1%{?dist}
Requires:	%{name}-libs

%description devel
Development header and files for qubes-utils

%package libs
Summary: Qubes utils libraries
Release:	1%{?dist}

%description libs
Libraries for qubes-utils

%prep
%setup -q

%build
export PYTHON=%{__python2}
make all BACKEND_VMM=xen

%install
make install DESTDIR=%{buildroot} PYTHON=%{__python2}
rm -rf imgconverter/build
%make_install -C imgconverter PYTHON=%{__python3}

%post
# dom0
%systemd_post qubes-meminfo-writer-dom0.service
# VM
%systemd_post qubes-meminfo-writer.service

%preun
%systemd_preun qubes-meminfo-writer-dom0.service
%systemd_preun qubes-meminfo-writer.service

%postun
%systemd_postun_with_restart qubes-meminfo-writer-dom0.service
%systemd_postun_with_restart qubes-meminfo-writer.service

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/lib/udev/rules.d/*-qubes-*.rules
/usr/lib/qubes/udev-*
%{_sbindir}/meminfo-writer
%{_unitdir}/qubes-meminfo-writer.service
%{_unitdir}/qubes-meminfo-writer-dom0.service

%files -n python2-qubesimgconverter
%{python2_sitelib}/qubesimgconverter/__init__.py*
%{python2_sitelib}/qubesimgconverter/imggen.py*
%{python2_sitelib}/qubesimgconverter/test.py*
%{python2_sitelib}/qubesimgconverter/test_integ.py*
%{python2_sitelib}/qubesimgconverter-%{version}-py?.?.egg-info

%files -n python%{python3_pkgversion}-qubesimgconverter
%{python3_sitelib}/qubesimgconverter/__init__.py
%{python3_sitelib}/qubesimgconverter/imggen.py
%{python3_sitelib}/qubesimgconverter/test.py
%{python3_sitelib}/qubesimgconverter/test_integ.py
%{python3_sitelib}/qubesimgconverter-%{version}-py?.?.egg-info
%{python3_sitelib}/qubesimgconverter/__pycache__

%files libs
%{_libdir}/libqrexec-utils.so.2
%{_libdir}/libqubes-rpc-filecopy.so.2

%files devel
%defattr(-,root,root,-)
/usr/include/libqrexec-utils.h
/usr/include/libqubes-rpc-filecopy.h
/usr/include/qrexec.h
%{_libdir}/libqrexec-utils.so
%{_libdir}/libqubes-rpc-filecopy.so

%changelog
* Sun Jul 05 2020 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-linux-utils.git

* Sun Jul 05 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4219f12
- version 4.0.30

* Sun Jul 05 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 78945b3
- travis: update config

* Sun Jul 05 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b3cc13a
- debian: drop python2 on bullseye

* Thu Jul 02 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6a1ee1e
- version 4.0.29

* Tue Jun 30 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 99d87c2
- debian: add Provides: python3-qubesimgconverter

* Tue Mar 17 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b8bdbcf
- version 4.0.28

* Mon Mar 16 2020 Paweł Marczewski <pawel@invisiblethingslab.com> - 28cc271
- qubesimgconverter: include Python 3 version in Debian package

* Mon Mar 16 2020 Paweł Marczewski <pawel@invisiblethingslab.com> - 1706694
- Image.get_through_dvm: support Python 3

* Wed Mar 11 2020 Ilpo Järvinen <ilpo.jarvinen@cs.helsinki.fi> - 46b7ae7
- Get virt_to_phys from header

* Wed Mar 11 2020 Ilpo Järvinen <ilpo.jarvinen@cs.helsinki.fi> - 1a18aa9
- Use proc_ops instead of file_operations on 5.6 kernels

* Fri Jan 31 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - facdf4d
- version 4.0.27

* Sun Dec 29 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ffdc3e5
- debian: fix dependencies of qubes-kernel-vm-support pkg

* Sat Dec 28 2019 Patrick Schleizer <adrelanos@riseup.net> - 2716a39
- qubes-kernel-vm-support.postinst run update-grub

* Sat Dec 28 2019 Patrick Schleizer <adrelanos@riseup.net> - 3ed9157
- qubes-kernel-vm-support.preinst create folder /boot/grub

* Sat Dec 28 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ea43382
- travis: update python versions

* Sat Dec 28 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 4068ac8
- travis: switch to bionic

* Sat Sep 28 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c2beb17
- version 4.0.26

* Sat Sep 28 2019 xaki23 <tvguho-knxv23-tct.e23f2f1b@hashmail.org> - ac13973
- partition full volatile for non-COW setups too

* Sat Sep 28 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 484f67a
- Disable BLS config style in grub

* Fri Sep 20 2019 xaki23 <tvguho-knxv23-tct.e23f2f1b@hashmail.org> - 4a28ab6
- align volatile swap partition to 1Mb instead of 512b

* Tue Sep 17 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ff7f658
- rpm: update python2 deps

* Sat Aug 17 2019 M. Vefa Bicakci <m.v.b@runbox.com> - 5a83961
- u2mfn: Make compatible with kernel versions >= 5.3.y

* Mon Jun 10 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 425f7f4
- version 4.0.25

* Mon Jun 10 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6501b26
- initrd: mount / rw for the overlayfs setup time

* Thu Jun 06 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 042b671
- version 4.0.24

* Thu Jun 06 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9c6c825
- initramfs: use overlayfs for /lib/modules, if available

* Wed Jun 05 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e7c90c7
- Declare u2mfn module version, skip build for qubes kernels

* Wed Jun 05 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - f365d7c
- travis: remove older Fedora releases and add Fedora 30

* Tue Jun 04 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 2b84113
- travis: switch to xenial

* Tue Jun 04 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - e00a64a
- python3: use macro pkgversion

* Mon Feb 25 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 24a25cc
- version 4.0.23

* Mon Feb 25 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - de2150e
- Add xen_scrub_pages=0 kernel option only if initramfs was rebuilt

* Mon Feb 25 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ad790a5
- Really install xen-scrub-pages dracut module

* Tue Feb 19 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2c69601
- Do not use /proc/xen for detecting dom0 anymore

* Sat Feb 16 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4fe08d3
- Adjust permissions of /dev/xen/hypercall

* Fri Feb 15 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - da61cb7
- dracut: add a flag file indicating scrub-pages option support

* Wed Feb 06 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5eb526d
- dracut: fix checking for "Root filesystem" label, improve udev sync

* Wed Feb 06 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 456fe99
- Disable scrubbing memory pages during initial balloon down

* Mon Oct 29 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 14be8aa
- version 4.0.22

* Fri Oct 26 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4543ab1
- tests: skip the other img converter test too

* Wed Oct 17 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4bfd10b
- imgconverter: allow icons up to 2048x2048

* Tue Oct 16 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0255f4d
- tests: skip img converter test if qubes-img-converter is not installed

* Tue Oct 09 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e2d7f08
- version 4.0.21

* Mon Oct 08 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 76fa9c9
- travis: update Fedora and Debian versions

* Tue Oct 02 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3ca9f13
- rpm: adjust for fc29

* Thu Sep 06 2018 Rusty Bird <rustybird@net-c.com> - 6cd4a1b
- Order qubes-meminfo-writer-dom0 before systemd-user-sessions

* Tue Jul 03 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ab7ca7b
- version 4.0.20

* Wed Jun 13 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f7b8a79
- udev: create /dev/mapper/dmroot -> xvda3 symlink when its mounted directly

* Wed May 02 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 915c8f0
- version 4.0.19

* Tue May 01 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 645d23b
- travis: add centos7

